#include <iostream>

using namespace std;
int obrni(int *n)
{
  int a=1;
    while(*n>9)
    {
        a++;
        *n=*n/10;
    }
    return a;
}
int najvecibroj(int A,int B,int C)
{
    int a,b,c,cif1,cif2,cif3,x=A,z=C,y=B,p,p1;
    a=obrni(&A);
    b=obrni(&B);
    c=obrni(&C);
    if(A<B)
    {
                p=x;
                x=y;
                y=p;
                p1=a;
                a=b;
                b=p1;
            }
          if(A<C)
            {
                p=x;
                x=z;
                z=p;
                p1=a;
                a=c;
                c=p1;
            }
          if(B<C)
            {
                p=y;
                y=z;
                z=p;
                p1=b;
                b=c;
                c=p1;
            }
          for(int i=0;i<b;i++)
            {
                x=x*10;
            }
            x=x+y;
          for(int i=0;i<c;i++)
            {
                x=x*10;
            }
            x=x+z;
            return x;
        }
    }
}
int main()
{
  int A,B,C,rez;
  cin>>A>>B>>C;
  rez=najvecibroj(A,B,C);
  cout<<rez<<endl;
  return 0;
}